Get Helix Batch Job Status

Returns status of Helix batch job.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get Job Status endpoint allows users to query an ongoing or past Helix batch event and check for its status. This allows users to understand whether an asynchronous job has completed, failed, or is still ongoing.

The status field in the response has 4 possible states:

StatusMeaning
pendingJob is in the queue waiting for a worker.
processingThe worker is currently injecting events.
completedThe worker has finished. Note: Some items may have failed.
failedA system-level error occurred (the entire job stopped).

A job status of completed does not guarantee 100% success. Check the failed_items count.

The Failure File:

If failed_items is greater than 0, the response will include a failure_file_url. This URL will provide users with a pre-signed link to a JSON file containing:

  • Index: The 0-based position of the item (or event) in the original request.
  • Error: The specific reason for the event processing failure.
  • Item: The original payload for easy resubmission or editing.
Path Params
string
required
Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json